class NetworkConfigResult {
  final Network? networkInfo;
  final NetworkConfig? networkConfig;
  final List<Tier>? networkTiers;

  NetworkConfigResult({
    required this.networkInfo,
    required this.networkConfig,
    required this.networkTiers,
  });
}

class Network {
  final String id;
  final String name;

  Network(this.id, this.name);
}

class NetworkConfig {
  final int exchangeRate;
  final String currencyImg;
  final String currencyName;
  final String? cardDefaultImg;
  final String? avatarDefaultImg;
  final bool? allowToGetMemberByPhone;
  final String? faqWebUrl;
  final String? benefitWebUrl;
  final String? brandColor;
  final bool? allowMerchantIssueMemberCard;

  NetworkConfig({
    required this.exchangeRate,
    required this.currencyImg,
    required this.currencyName,
    required this.cardDefaultImg,
    required this.avatarDefaultImg,
    required this.allowToGetMemberByPhone,
    required this.faqWebUrl,
    required this.benefitWebUrl,
    required this.brandColor,
    required this.allowMerchantIssueMemberCard,
  });
}

class Tier {
  final String code;
  final String name;
  final int fromPoint;
  final String? cardTieredImg;
  final String? tierIconImg;

  Tier({
    required this.code,
    required this.name,
    required this.fromPoint,
    required this.cardTieredImg,
    required this.tierIconImg,
  });
}
