import 'status.dart';
import 'transaction_type.dart';

class TransactionHistory {
  final List<Transaction> transactions;
  final PageData pageData;

  TransactionHistory({
    required this.transactions,
    required this.pageData,
  });
}

class Transaction {
  final String id;
  final String? refId;
  final String? orderCode;
  final TransactionType txnType; // init
  final String txnTypeText;
  final String? txnDesc;
  final AccountingType accountingType; // credit
  final Status? status; //init
  final int point;
  final int createdAt;
  final String createdBy;
  final int networkId;
  final String networkName;
  final String? merchantCode;
  final String? merchantName;
  final String? terminalCode;
  final String? terminalName;
  final String? terminalAddress;

  Transaction({
    required this.id,
    required this.refId,
    required this.orderCode,
    required this.txnType,
    required this.txnTypeText,
    required this.txnDesc,
    required this.accountingType,
    required this.status,
    required this.point,
    required this.createdAt,
    required this.createdBy,
    required this.networkId,
    required this.networkName,
    required this.merchantCode,
    required this.merchantName,
    required this.terminalCode,
    required this.terminalName,
    required this.terminalAddress,
  });
}

enum AccountingType { debit, credit }

class PageData {
  final int currentPage;
  final int totalPage;
  final int pageSize;
  final int totalItems;

  PageData({
    required this.currentPage,
    required this.totalPage,
    required this.pageSize,
    required this.totalItems,
  });
}
